Skip to main content
GET
/
counterparties
/
sent
List recipients
curl --request GET \
  --url https://api.natural.co/counterparties/sent \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "party",
      "id": "pty_019cd3444a6b7afe95c91cfdc74a46eb",
      "attributes": {
        "counterparty_party_id": "pty_019cd3444a6b7afe95c91cfdc74a46eb",
        "total_amount_minor": 500000,
        "transaction_count": 5,
        "first_at": "2026-01-04T15:30:00Z",
        "party_name": "Natural",
        "party_email": "contact@natural.co",
        "party_status": "ACTIVE"
      }
    }
  ],
  "meta": {
    "pagination": {
      "has_more": false,
      "next_cursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Query Parameters

cursor
string | null

Cursor for pagination

limit
integer
default:50

Maximum number of results

Required range: 1 <= x <= 100

Response

Successful Response

List response for counterparties.

data
CounterpartyResource · object[]
required

List of resources

meta
ResponseMeta · object

Response metadata